summary.windrose {oce} | R Documentation

## Summarize a windrose data object

### Description

Summarizes some of the data in a `windrose` object.

### Usage

    ## S4 method for signature 'windrose'
    summary(object, ...)

### Arguments

`object` | an object of class `"windrose"`, usually, a result of a call to `as.windrose`.
`...` | further arguments passed to or from other methods.

### Details

Pertinent summary information is presented.

### Value

A matrix containing statistics of the elements of the `data` slot.

### Author(s)

Dan Kelley

### See Also

A `windrose` object may be created with `as.windrose` or plotted with `plot.windrose`.

### Examples

    library(oce)
    xcomp <- rnorm(360) + 1
    ycomp <- rnorm(360)
    wr <- as.windrose(xcomp, ycomp)
    summary(wr)

[Package oce version 0.9-18 Index]